io.stdout:setvbuf 'no' 
local lgw, lgh = love.graphics.getDimensions()

local TBSM = require 'TBSM'

-- for testing
local plyr = require 'player'
local players = {
	plyr.init('Mike'),
	plyr.init('Brian'),
	plyr.init('Joe')
}
local turn = 1

function love.load()
	-- Insert players
	for _, p in ipairs(players) do 
		TBSM:addPlayer(p)
	end	

	turn = TBSM:start()
end

function love.update(dt)
	TBSM:update(dt)
end

function love.draw()
	for i = 1, #players do 
		players[i]:draw()
	end
	love.graphics.print(players[turn].name .."'s Turn", 10, 10)
end

function love.keypressed(k, i)
	if k == 'escape' then love.event.quit()

	elseif k == 'return' then 
		turn = TBSM:endTurn()
	end
end

